<p-card header="Projects details" [style]="{width:'fit-content'}">
  <p-table
    [value]="projects"
    responsiveLayout="scroll"
    styleClass="p-datatable-striped"
    *ngIf="projects"
    [paginator]="true"
    [rows]="5"
    [showCurrentPageReport]="true"
    currentPageReportTemplate="{first} - {last} of {totalRecords} entries"
    [rowsPerPageOptions]="[5, 10, 15]"
    class="p-3"
  >
    <ng-template pTemplate="header">
      <tr>
        <th>ID</th>
        <th>name</th>
        <th>description</th>
        <th>priority</th>
        <th>state</th>
      </tr>
    </ng-template>

    <ng-template pTemplate="body" let-project>
      <tr>
        <td>{{ project.projectId }}</td>
        <td>{{ project.name }}</td>
        <td>{{ project.description }}</td>
        <td>{{ project.priority }}</td>
        <td>{{ project.state }}</td>
      </tr>
    </ng-template>
  </p-table>
</p-card>
